## gate.annotation
Class TestDatabaseAnnotationSet

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.annotation.TestDatabaseAnnotationSet

All Implemented Interfaces:
  junit.framework.Test

public class TestDatabaseAnnotationSet
extends junit.framework.TestCase

Tests for the DatabaseAnnotationSet class

Field Summary
`protected AnnotationSet` `basicAS` An annotation set
`private static boolean` `DEBUG` Debug flag
`protected Document` `doc1` A document
`protected FeatureMap` `emptyFeatureMap` An empty feature map

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestDatabaseAnnotationSet(String name)` Construction

Method Summary
`static void` `main(String[] args)`
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testAnnotationSet()` Test AnnotationSetImpl
`void` `testIterator()` Test iterator
`void` `testIteratorRemove()` Test iterator remove
`void` `testRemove()` Test remove
`void` `testRemoveInexistant()`
`void` `testSetMethods()` Test Set methods

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### doc1

    protected Document doc1

  A document

### basicAS

    protected AnnotationSet basicAS

  An annotation set

### emptyFeatureMap

    protected FeatureMap emptyFeatureMap

  An empty feature map

Constructor Detail

### TestDatabaseAnnotationSet

    public TestDatabaseAnnotationSet(String name)

  Construction

Method Detail

### setUp

    public void setUp()
               throws Exception

  Fixture set up
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### testRemove

    public void testRemove()

  Test remove

### testRemoveInexistant

    public void testRemoveInexistant()
                              throws Exception

### testIteratorRemove

    public void testIteratorRemove()

  Test iterator remove

### testIterator

    public void testIterator()

  Test iterator

### testSetMethods

    public void testSetMethods()
                        throws Exception

  Test Set methods

### testAnnotationSet

    public void testAnnotationSet()
                           throws Exception

  Test AnnotationSetImpl

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner

### main

    public static void main(String[] args)